Ext.define('TradePortal.view.pricebook.Panel', {
		extend: 'Ext.panel.Panel',
		alias: 'widget.pricebookpanel',
		border: false,
		id: 'pricebook_panel',

		layout: {
			type: 'vbox', 
			pack: 'center',
			align: 'center'
		},

		items: [
			{
				border: false,
				layout: 'vbox',
				items: [
					{
						border: false,
						html: '<small class="breadcrumb_text"> > Price Book</small>'
					},
					{
						layout: 'hbox',
						border: false,
						items: [{
							width: 43,
							height: 39,
							baseCls: 'breadcrumbs-home',
							border: false,
							listeners: { el: {
								click: function () {
									Ext.getCmp('main_panel').items.items[1].down('panel').items.each(function(panel) {
										panel.hide();
									});
									Ext.getCmp('home_panel').show();
								}
							}}
						},{
							html: '<div class="breadcrumbs">Price Book</div>',
							border: false
						}]
					}
				]
			},
			{
				width: 962,
				border: false,
				items: [{
					xtype: 'pricebookform'
				},{
					xtype: 'pricebookgrid'
				}]
			}
		],

		initComponent: function() {
			this.callParent(arguments);
		}
	});